Package be.fgov.ehealth.certra.protocol.v2

# Class SubmitCSRForForeignerRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.certra.protocol.v2.SubmitCSRForForeignerRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class SubmitCSRForForeignerRequest extends RequestType implements Serializable
Request containing the details of a Certificate Signing Request of a foreign person. This request should only be used by foreign persons that not resident in Belgium and thus do not have a SSIN number. This request will only "submit" the CSR, no certificate generation will take place until the foreigner has confirmed their identity using the eHealth IDP.

Java class for SubmitCSRForForeignerRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubmitCSRForForeignerRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="ForeignPerson" type="{urn:be:fgov:ehealth:commons:core:v2}ActorType"/>
             <element name="ContactData" type="{urn:be:fgov:ehealth:certra:core:v2}ContactDataType"/>
             <element name="CSR" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubmitCSRForForeignerRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContactDataType`
  `getContactData()`
  Contact details of the foreign person.
  `byte[]`
  `getCSR()`
  A certificate signing request (CSR) in PKCS#10 format and transformed into base64 representation.
  `ActorType`
  `getForeignPerson()`
  The foreign person element must contain the first name and last name of the natural person that is requesting a certificate, together with an identifier of type "SSIN" and a value that is a valid SSIN BIS number.
  `void`
  `setContactData(ContactDataType value)`
  Sets the value of the contactData property.
  `void`
  `setCSR(byte[] value)`
  Sets the value of the csr property.
  `void`
  `setForeignPerson(ActorType value)`
  Sets the value of the foreignPerson property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubmitCSRForForeignerRequest

    public SubmitCSRForForeignerRequest()

- ## Method Details

  - ### getForeignPerson

    public ActorType getForeignPerson()
    The foreign person element must contain the first name and last name of the natural person that is requesting a certificate, together with an identifier of type "SSIN" and a value that is a valid SSIN BIS number. Only SSIN BIS numbers are accepted because only non-resident foreigners are able to perform this request.
    Returns:
      possible object is `ActorType`

  - ### setForeignPerson

    public void setForeignPerson(ActorType value)
    Sets the value of the foreignPerson property.
    Parameters:
      `value` - allowed object is `ActorType`
    See Also:
      - `getForeignPerson()`

  - ### getContactData

    public ContactDataType getContactData()
    Contact details of the foreign person.
    Returns:
      possible object is `ContactDataType`

  - ### setContactData

    public void setContactData(ContactDataType value)
    Sets the value of the contactData property.
    Parameters:
      `value` - allowed object is `ContactDataType`
    See Also:
      - `getContactData()`

  - ### getCSR

    public byte[] getCSR()
    A certificate signing request (CSR) in PKCS#10 format and transformed into base64 representation.
    Returns:
      possible object is byte[]

  - ### setCSR

    public void setCSR(byte[] value)
    Sets the value of the csr property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getCSR()`